summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--debian/tests/control5
-rwxr-xr-xtests/tests/inarchivecopy17
2 files changed, 22 insertions, 0 deletions
diff --git a/debian/tests/control b/debian/tests/control
index 45e80e4..6e8287c 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -12,6 +12,11 @@ Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts
Restrictions: x-dgit-intree-only x-dgit-git-only
+Tests: inarchivecopy
+Tests-Directory: tests/tests
+Depends: dgit, dgit-infrastructure, devscripts
+Restrictions: x-dgit-unfinished
+
Tests: mirror mirror-debnewgit mirror-private
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, rsync
diff --git a/tests/tests/inarchivecopy b/tests/tests/inarchivecopy
new file mode 100755
index 0000000..c3c06b8
--- /dev/null
+++ b/tests/tests/inarchivecopy
@@ -0,0 +1,17 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-restrict x-dgit-unfinished
+
+t-setup-import examplegit
+
+cat aq/package.sid.$p >>aq/package.stable.example
+
+t-archive-updated stable $p
+
+cd $p
+
+t-dgit fetch stable
+
+xxx rest of test